var scriptName = "Speed"; 
var scriptVersion = 1.0; 
var scriptAuthor = "Choco, visionFX"; 

var exampleModule = new ExampleModule();
var exampleModuleClient;

function ExampleModule() {
    this.getName = function() {
        return "AACSpeed";
    };

    this.getDescription = function() {
        return "weird speed";
    };

    this.getCategory = function() {
        return "Movement";
    };

    this.onUpdate = function() {
        if(mc.thePlayer.onGround) {
		mc.thePlayer.jump();
		mc.thePlayer.speedInAir = 0.0201;
		mc.timer.timerSpeed = 0.94;
		}
        if(mc.thePlayer.fallDistance > 0.7 && mc.thePlayer.fallDistance < 1.3) {
		mc.thePlayer.speedInAir = 0.02;
		mc.timer.timerSpeed = 1.8;
		}
    }
	
	this.onDisable = function() {
		mc.timer.timerSpeed = 1;
		mc.thePlayer.speedInAir = 0.02
	}
}

function onLoad() {
};

function onEnable() {
    exampleModuleClient = moduleManager.registerModule(exampleModule);
};

function onDisable() {
    moduleManager.unregisterModule(exampleModuleClient);
};